import { Meta, StoryObj } from '@storybook/react-webpack5';
import { fn } from 'storybook/test';

import { DateInput } from '..';

const meta: Meta<typeof DateInput> = {
  component: DateInput,
  title: 'Forms/DateInput',
} satisfies Meta<typeof DateInput>;

export default meta;

type Story = StoryObj<typeof meta>;

export const Basic: Story = {
  args: {
    onChange: fn(),
    onBlur: fn(),
    onFocus: fn(),
  },
} satisfies Story;
